{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "type": 1,
        "value": "on,off"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      },
      {
        "resUri": "/capability/switchLevel/main/0",
        "name": "Dimming",
        "desc": "This resource describes a dimming function.\nThe value is an integer showing the current dimming level.\nThe step is the increment between dimmer values.\nThe range is the maximum and minimum values for the dimming value.\nIf the range is omitted [0,100] is assumed.\nA value of 0 means total dimming; a value of 100 means no dimming.\n"
      },
      {
        "resUri": "/capability/colorTemperature/main/0",
        "name": "WWST Color Temperature",
        "desc": "Control the color temperature of lights\n"
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "desc": "State of the power switch."
      },
      {
        "resUri": "/capability/switchLevel/main/0",
        "property": "dimmingSetting",
        "desc": "Current dimming value"
      },
      {
        "resUri": "/capability/switchLevel/main/0",
        "property": "range",
        "desc": "Min and Max values for the dimming setting"
      },
      {
        "resUri": "/capability/switchLevel/main/0",
        "property": "step",
        "desc": "step increment for dimming values"
      },
      {
        "resUri": "/capability/colorTemperature/main/0",
        "property": "ct",
        "desc": "Current color temperature"
      },
      {
        "resUri": "/capability/colorTemperature/main/0",
        "property": "range",
        "desc": "Array defining min,max values for this color temperature on this device"
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "oic.d.light",
          "deviceName": "Samsung Lamp",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com/sec/",
          "manufacturingDate": "2017-08-31",
          "modelNumber": "NWSP-01",
          "platformVersion": "1.0",
          "osVersion": "1.0",
          "hardwareVersion": "1.0",
          "firmwareVersion": "1.0",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main/0",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/switchLevel/main/0",
            "types": [
              "oic.r.light.dimming"
            ],
            "interfaces": [
              "oic.if.a"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/colorTemperature/main/0",
            "types": [
              "x.com.st.color.temperature"
            ],
            "interfaces": [
              "oic.if.a"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "oic.r.light.dimming",
      "properties": [
        {
          "key": "dimmingSetting",
          "type": 1,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.color.temperature",
      "properties": [
        {
          "key": "ct",
          "type": 1,
          "mandatory": true,
          "rw": 3
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "/mnt/artikserversecured.dat",
      "provisioning": "/mnt/provisioning.dat",
      "certificate": "/rom/certificate",
      "privateKey": "/rom/privatekey"
    }
  }
}
